Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._2._1.rim
Interface RimPackage.Literals

Enclosing interface:
  RimPackage

    public static interface RimPackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Field Summary
`static org.eclipse.emf.ecore.EClass` | `ASSOCIATION_TYPE1` The meta object literal for the '`Association Type1`' class.
`static org.eclipse.emf.ecore.EAttribute` | `ASSOCIATION_TYPE1__ASSOCIATION_TYPE` The meta object literal for the 'Association Type' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `ASSOCIATION_TYPE1__IS_CONFIRMED_BY_SOURCE_OWNER` The meta object literal for the 'Is Confirmed By Source Owner' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `ASSOCIATION_TYPE1__IS_CONFIRMED_BY_TARGET_OWNER` The meta object literal for the 'Is Confirmed By Target Owner' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `ASSOCIATION_TYPE1__SOURCE_OBJECT` The meta object literal for the 'Source Object' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `ASSOCIATION_TYPE1__TARGET_OBJECT` The meta object literal for the 'Target Object' attribute feature.
`static org.eclipse.emf.ecore.EClass` | `AUDITABLE_EVENT_TYPE` The meta object literal for the '`Auditable Event Type`' class.
`static org.eclipse.emf.ecore.EAttribute` | `AUDITABLE_EVENT_TYPE__EVENT_TYPE` The meta object literal for the 'Event Type' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `AUDITABLE_EVENT_TYPE__REGISTRY_OBJECT` The meta object literal for the 'Registry Object' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `AUDITABLE_EVENT_TYPE__TIMESTAMP` The meta object literal for the 'Timestamp' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `AUDITABLE_EVENT_TYPE__USER` The meta object literal for the 'User' attribute feature.
`static org.eclipse.emf.ecore.EClass` | `CLASSIFICATION_NODE_TYPE` The meta object literal for the '`Classification Node Type`' class.
`static org.eclipse.emf.ecore.EReference` | `CLASSIFICATION_NODE_TYPE__CLASSIFICATION_NODE` The meta object literal for the 'Classification Node' containment reference list feature.
`static org.eclipse.emf.ecore.EAttribute` | `CLASSIFICATION_NODE_TYPE__CODE` The meta object literal for the 'Code' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `CLASSIFICATION_NODE_TYPE__PARENT` The meta object literal for the 'Parent' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `CLASSIFICATION_NODE_TYPE__PATH` The meta object literal for the 'Path' attribute feature.
`static org.eclipse.emf.ecore.EClass` | `CLASSIFICATION_SCHEME_TYPE` The meta object literal for the '`Classification Scheme Type`' class.
`static org.eclipse.emf.ecore.EReference` | `CLASSIFICATION_SCHEME_TYPE__CLASSIFICATION_NODE` The meta object literal for the 'Classification Node' containment reference list feature.
`static org.eclipse.emf.ecore.EAttribute` | `CLASSIFICATION_SCHEME_TYPE__IS_INTERNAL` The meta object literal for the 'Is Internal' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `CLASSIFICATION_SCHEME_TYPE__NODE_TYPE` The meta object literal for the 'Node Type' attribute feature.
`static org.eclipse.emf.ecore.EClass` | `CLASSIFICATION_TYPE` The meta object literal for the '`Classification Type`' class.
`static org.eclipse.emf.ecore.EAttribute` | `CLASSIFICATION_TYPE__CLASSIFICATION_NODE` The meta object literal for the 'Classification Node' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `CLASSIFICATION_TYPE__CLASSIFICATION_SCHEME` The meta object literal for the 'Classification Scheme' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `CLASSIFICATION_TYPE__CLASSIFIED_OBJECT` The meta object literal for the 'Classified Object' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `CLASSIFICATION_TYPE__NODE_REPRESENTATION` The meta object literal for the 'Node Representation' attribute feature.
`static org.eclipse.emf.ecore.EClass` | `DOCUMENT_ROOT` The meta object literal for the '`Document Root`' class.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__ADDRESS` The meta object literal for the 'Address' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__ASSOCIATION` The meta object literal for the 'Association' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__AUDITABLE_EVENT` The meta object literal for the 'Auditable Event' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__CLASSIFICATION` The meta object literal for the 'Classification' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__CLASSIFICATION_NODE` The meta object literal for the 'Classification Node' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__CLASSIFICATION_SCHEME` The meta object literal for the 'Classification Scheme' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__DESCRIPTION` The meta object literal for the 'Description' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__EMAIL_ADDRESS` The meta object literal for the 'Email Address' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__EXTERNAL_IDENTIFIER` The meta object literal for the 'External Identifier' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__EXTERNAL_LINK` The meta object literal for the 'External Link' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__EXTRINSIC_OBJECT` The meta object literal for the 'Extrinsic Object' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__FAX_NUMBER` The meta object literal for the 'Fax Number' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__INTERNATIONAL_STRING` The meta object literal for the 'International String' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__LEAF_REGISTRY_OBJECT_LIST` The meta object literal for the 'Leaf Registry Object List' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__LOCALIZED_STRING` The meta object literal for the 'Localized String' containment reference feature.
`static org.eclipse.emf.ecore.EAttribute` | `DOCUMENT_ROOT__MIXED` The meta object literal for the 'Mixed' attribute list feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__MOBILE_TELEPHONE_NUMBER` The meta object literal for the 'Mobile Telephone Number' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__NAME` The meta object literal for the 'Name' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__OBJECT_REF` The meta object literal for the 'Object Ref' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__OBJECT_REF_LIST` The meta object literal for the 'Object Ref List' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__ORGANIZATION` The meta object literal for the 'Organization' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__PAGER_NUMBER` The meta object literal for the 'Pager Number' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__PERSON_NAME` The meta object literal for the 'Person Name' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__POSTAL_ADDRESS` The meta object literal for the 'Postal Address' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__REGISTRY_ENTRY` The meta object literal for the 'Registry Entry' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__REGISTRY_OBJECT` The meta object literal for the 'Registry Object' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__REGISTRY_OBJECT_LIST` The meta object literal for the 'Registry Object List' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__REGISTRY_PACKAGE` The meta object literal for the 'Registry Package' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__SERVICE` The meta object literal for the 'Service' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__SERVICE_BINDING` The meta object literal for the 'Service Binding' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__SLOT` The meta object literal for the 'Slot' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__SPECIFICATION_LINK` The meta object literal for the 'Specification Link' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__TELEPHONE_NUMBER` The meta object literal for the 'Telephone Number' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__USAGE_DESCRIPTION` The meta object literal for the 'Usage Description' containment reference feature.
`static org.eclipse.emf.ecore.EAttribute` | `DOCUMENT_ROOT__USAGE_PARAMETER` The meta object literal for the 'Usage Parameter' attribute feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__USER` The meta object literal for the 'User' containment reference feature.
`static org.eclipse.emf.ecore.EAttribute` | `DOCUMENT_ROOT__VALUE` The meta object literal for the 'Value' attribute feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__VALUE_LIST` The meta object literal for the 'Value List' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__XMLNS_PREFIX_MAP` The meta object literal for the 'XMLNS Prefix Map' map feature.
`static org.eclipse.emf.ecore.EReference` | `DOCUMENT_ROOT__XSI_SCHEMA_LOCATION` The meta object literal for the 'XSI Schema Location' map feature.
`static org.eclipse.emf.ecore.EClass` | `EMAIL_ADDRESS_TYPE` The meta object literal for the '`Email Address Type`' class.
`static org.eclipse.emf.ecore.EAttribute` | `EMAIL_ADDRESS_TYPE__ADDRESS` The meta object literal for the 'Address' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `EMAIL_ADDRESS_TYPE__GROUP` The meta object literal for the 'Group' attribute list feature.
`static org.eclipse.emf.ecore.EReference` | `EMAIL_ADDRESS_TYPE__SLOT` The meta object literal for the 'Slot' containment reference list feature.
`static org.eclipse.emf.ecore.EAttribute` | `EMAIL_ADDRESS_TYPE__TYPE` The meta object literal for the 'Type' attribute feature.
`static org.eclipse.emf.ecore.EEnum` | `EVENT_TYPE_TYPE` The meta object literal for the '`Event Type Type`' enum.
`static org.eclipse.emf.ecore.EDataType` | `EVENT_TYPE_TYPE_OBJECT` The meta object literal for the 'Event Type Type Object' data type.
`static org.eclipse.emf.ecore.EClass` | `EXTERNAL_IDENTIFIER_TYPE` The meta object literal for the '`External Identifier Type`' class.
`static org.eclipse.emf.ecore.EAttribute` | `EXTERNAL_IDENTIFIER_TYPE__IDENTIFICATION_SCHEME` The meta object literal for the 'Identification Scheme' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `EXTERNAL_IDENTIFIER_TYPE__REGISTRY_OBJECT` The meta object literal for the 'Registry Object' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `EXTERNAL_IDENTIFIER_TYPE__VALUE` The meta object literal for the 'Value' attribute feature.
`static org.eclipse.emf.ecore.EClass` | `EXTERNAL_LINK_TYPE` The meta object literal for the '`External Link Type`' class.
`static org.eclipse.emf.ecore.EAttribute` | `EXTERNAL_LINK_TYPE__EXTERNAL_URI` The meta object literal for the 'External URI' attribute feature.
`static org.eclipse.emf.ecore.EClass` | `EXTRINSIC_OBJECT_TYPE` The meta object literal for the '`Extrinsic Object Type`' class.
`static org.eclipse.emf.ecore.EAttribute` | `EXTRINSIC_OBJECT_TYPE__IS_OPAQUE` The meta object literal for the 'Is Opaque' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `EXTRINSIC_OBJECT_TYPE__MIME_TYPE` The meta object literal for the 'Mime Type' attribute feature.
`static org.eclipse.emf.ecore.EDataType` | `FREE_FORM_TEXT` The meta object literal for the 'Free Form Text' data type.
`static org.eclipse.emf.ecore.EClass` | `INTERNATIONAL_STRING_TYPE` The meta object literal for the '`International String Type`' class.
`static org.eclipse.emf.ecore.EAttribute` | `INTERNATIONAL_STRING_TYPE__GROUP` The meta object literal for the 'Group' attribute list feature.
`static org.eclipse.emf.ecore.EReference` | `INTERNATIONAL_STRING_TYPE__LOCALIZED_STRING` The meta object literal for the 'Localized String' containment reference list feature.
`static org.eclipse.emf.ecore.EClass` | `LEAF_REGISTRY_OBJECT_LIST_TYPE` The meta object literal for the '`Leaf Registry Object List Type`' class.
`static org.eclipse.emf.ecore.EReference` | `LEAF_REGISTRY_OBJECT_LIST_TYPE__ASSOCIATION` The meta object literal for the 'Association' containment reference list feature.
`static org.eclipse.emf.ecore.EReference` | `LEAF_REGISTRY_OBJECT_LIST_TYPE__AUDITABLE_EVENT` The meta object literal for the 'Auditable Event' containment reference list feature.
`static org.eclipse.emf.ecore.EReference` | `LEAF_REGISTRY_OBJECT_LIST_TYPE__CLASSIFICATION` The meta object literal for the 'Classification' containment reference list feature.
`static org.eclipse.emf.ecore.EReference` | `LEAF_REGISTRY_OBJECT_LIST_TYPE__CLASSIFICATION_NODE` The meta object literal for the 'Classification Node' containment reference list feature.
`static org.eclipse.emf.ecore.EReference` | `LEAF_REGISTRY_OBJECT_LIST_TYPE__CLASSIFICATION_SCHEME` The meta object literal for the 'Classification Scheme' containment reference list feature.
`static org.eclipse.emf.ecore.EReference` | `LEAF_REGISTRY_OBJECT_LIST_TYPE__EXTERNAL_IDENTIFIER` The meta object literal for the 'External Identifier' containment reference list feature.
`static org.eclipse.emf.ecore.EReference` | `LEAF_REGISTRY_OBJECT_LIST_TYPE__EXTERNAL_LINK` The meta object literal for the 'External Link' containment reference list feature.
`static org.eclipse.emf.ecore.EReference` | `LEAF_REGISTRY_OBJECT_LIST_TYPE__EXTRINSIC_OBJECT` The meta object literal for the 'Extrinsic Object' containment reference list feature.
`static org.eclipse.emf.ecore.EAttribute` | `LEAF_REGISTRY_OBJECT_LIST_TYPE__GROUP` The meta object literal for the 'Group' attribute list feature.
`static org.eclipse.emf.ecore.EReference` | `LEAF_REGISTRY_OBJECT_LIST_TYPE__OBJECT_REF` The meta object literal for the 'Object Ref' containment reference list feature.
`static org.eclipse.emf.ecore.EReference` | `LEAF_REGISTRY_OBJECT_LIST_TYPE__ORGANIZATION` The meta object literal for the 'Organization' containment reference list feature.
`static org.eclipse.emf.ecore.EReference` | `LEAF_REGISTRY_OBJECT_LIST_TYPE__REGISTRY_PACKAGE` The meta object literal for the 'Registry Package' containment reference list feature.
`static org.eclipse.emf.ecore.EReference` | `LEAF_REGISTRY_OBJECT_LIST_TYPE__SERVICE` The meta object literal for the 'Service' containment reference list feature.
`static org.eclipse.emf.ecore.EReference` | `LEAF_REGISTRY_OBJECT_LIST_TYPE__SERVICE_BINDING` The meta object literal for the 'Service Binding' containment reference list feature.
`static org.eclipse.emf.ecore.EReference` | `LEAF_REGISTRY_OBJECT_LIST_TYPE__SPECIFICATION_LINK` The meta object literal for the 'Specification Link' containment reference list feature.
`static org.eclipse.emf.ecore.EReference` | `LEAF_REGISTRY_OBJECT_LIST_TYPE__USER` The meta object literal for the 'User' containment reference list feature.
`static org.eclipse.emf.ecore.EClass` | `LOCALIZED_STRING_TYPE` The meta object literal for the '`Localized String Type`' class.
`static org.eclipse.emf.ecore.EAttribute` | `LOCALIZED_STRING_TYPE__CHARSET` The meta object literal for the 'Charset' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `LOCALIZED_STRING_TYPE__LANG` The meta object literal for the 'Lang' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `LOCALIZED_STRING_TYPE__VALUE` The meta object literal for the 'Value' attribute feature.
`static org.eclipse.emf.ecore.EDataType` | `LONG_NAME` The meta object literal for the 'Long Name' data type.
`static org.eclipse.emf.ecore.EEnum` | `NODE_TYPE_TYPE` The meta object literal for the '`Node Type Type`' enum.
`static org.eclipse.emf.ecore.EDataType` | `NODE_TYPE_TYPE_OBJECT` The meta object literal for the 'Node Type Type Object' data type.
`static org.eclipse.emf.ecore.EClass` | `OBJECT_REF_LIST_TYPE` The meta object literal for the '`Object Ref List Type`' class.
`static org.eclipse.emf.ecore.EAttribute` | `OBJECT_REF_LIST_TYPE__GROUP` The meta object literal for the 'Group' attribute list feature.
`static org.eclipse.emf.ecore.EReference` | `OBJECT_REF_LIST_TYPE__OBJECT_REF` The meta object literal for the 'Object Ref' containment reference list feature.
`static org.eclipse.emf.ecore.EClass` | `OBJECT_REF_TYPE` The meta object literal for the '`Object Ref Type`' class.
`static org.eclipse.emf.ecore.EAttribute` | `OBJECT_REF_TYPE__ID` The meta object literal for the 'Id' attribute feature.
`static org.eclipse.emf.ecore.EClass` | `ORGANIZATION_TYPE` The meta object literal for the '`Organization Type`' class.
`static org.eclipse.emf.ecore.EReference` | `ORGANIZATION_TYPE__ADDRESS` The meta object literal for the 'Address' containment reference feature.
`static org.eclipse.emf.ecore.EAttribute` | `ORGANIZATION_TYPE__PARENT` The meta object literal for the 'Parent' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `ORGANIZATION_TYPE__PRIMARY_CONTACT` The meta object literal for the 'Primary Contact' attribute feature.
`static org.eclipse.emf.ecore.EReference` | `ORGANIZATION_TYPE__TELEPHONE_NUMBER` The meta object literal for the 'Telephone Number' containment reference list feature.
`static org.eclipse.emf.ecore.EClass` | `PERSON_NAME_TYPE` The meta object literal for the '`Person Name Type`' class.
`static org.eclipse.emf.ecore.EAttribute` | `PERSON_NAME_TYPE__FIRST_NAME` The meta object literal for the 'First Name' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `PERSON_NAME_TYPE__GROUP` The meta object literal for the 'Group' attribute list feature.
`static org.eclipse.emf.ecore.EAttribute` | `PERSON_NAME_TYPE__LAST_NAME` The meta object literal for the 'Last Name' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `PERSON_NAME_TYPE__MIDDLE_NAME` The meta object literal for the 'Middle Name' attribute feature.
`static org.eclipse.emf.ecore.EReference` | `PERSON_NAME_TYPE__SLOT` The meta object literal for the 'Slot' containment reference list feature.
`static org.eclipse.emf.ecore.EClass` | `POSTAL_ADDRESS_TYPE` The meta object literal for the '`Postal Address Type`' class.
`static org.eclipse.emf.ecore.EAttribute` | `POSTAL_ADDRESS_TYPE__CITY` The meta object literal for the 'City' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `POSTAL_ADDRESS_TYPE__COUNTRY` The meta object literal for the 'Country' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `POSTAL_ADDRESS_TYPE__GROUP` The meta object literal for the 'Group' attribute list feature.
`static org.eclipse.emf.ecore.EAttribute` | `POSTAL_ADDRESS_TYPE__POSTAL_CODE` The meta object literal for the 'Postal Code' attribute feature.
`static org.eclipse.emf.ecore.EReference` | `POSTAL_ADDRESS_TYPE__SLOT` The meta object literal for the 'Slot' containment reference list feature.
`static org.eclipse.emf.ecore.EAttribute` | `POSTAL_ADDRESS_TYPE__STATE_OR_PROVINCE` The meta object literal for the 'State Or Province' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `POSTAL_ADDRESS_TYPE__STREET` The meta object literal for the 'Street' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `POSTAL_ADDRESS_TYPE__STREET_NUMBER` The meta object literal for the 'Street Number' attribute feature.
`static org.eclipse.emf.ecore.EClass` | `REGISTRY_ENTRY_TYPE` The meta object literal for the '`Registry Entry Type`' class.
`static org.eclipse.emf.ecore.EAttribute` | `REGISTRY_ENTRY_TYPE__EXPIRATION` The meta object literal for the 'Expiration' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `REGISTRY_ENTRY_TYPE__MAJOR_VERSION` The meta object literal for the 'Major Version' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `REGISTRY_ENTRY_TYPE__MINOR_VERSION` The meta object literal for the 'Minor Version' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `REGISTRY_ENTRY_TYPE__STABILITY` The meta object literal for the 'Stability' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `REGISTRY_ENTRY_TYPE__STATUS` The meta object literal for the 'Status' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `REGISTRY_ENTRY_TYPE__USER_VERSION` The meta object literal for the 'User Version' attribute feature.
`static org.eclipse.emf.ecore.EClass` | `REGISTRY_OBJECT_LIST_TYPE` The meta object literal for the '`Registry Object List Type`' class.
`static org.eclipse.emf.ecore.EAttribute` | `REGISTRY_OBJECT_LIST_TYPE__GROUP1` The meta object literal for the 'Group1' attribute list feature.
`static org.eclipse.emf.ecore.EReference` | `REGISTRY_OBJECT_LIST_TYPE__REGISTRY_ENTRY` The meta object literal for the 'Registry Entry' containment reference list feature.
`static org.eclipse.emf.ecore.EReference` | `REGISTRY_OBJECT_LIST_TYPE__REGISTRY_OBJECT` The meta object literal for the 'Registry Object' containment reference list feature.
`static org.eclipse.emf.ecore.EClass` | `REGISTRY_OBJECT_TYPE` The meta object literal for the '`Registry Object Type`' class.
`static org.eclipse.emf.ecore.EAttribute` | `REGISTRY_OBJECT_TYPE__ACCESS_CONTROL_POLICY` The meta object literal for the 'Access Control Policy' attribute feature.
`static org.eclipse.emf.ecore.EReference` | `REGISTRY_OBJECT_TYPE__CLASSIFICATION` The meta object literal for the 'Classification' containment reference list feature.
`static org.eclipse.emf.ecore.EReference` | `REGISTRY_OBJECT_TYPE__DESCRIPTION` The meta object literal for the 'Description' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `REGISTRY_OBJECT_TYPE__EXTERNAL_IDENTIFIER` The meta object literal for the 'External Identifier' containment reference list feature.
`static org.eclipse.emf.ecore.EAttribute` | `REGISTRY_OBJECT_TYPE__ID` The meta object literal for the 'Id' attribute feature.
`static org.eclipse.emf.ecore.EReference` | `REGISTRY_OBJECT_TYPE__NAME` The meta object literal for the 'Name' containment reference feature.
`static org.eclipse.emf.ecore.EAttribute` | `REGISTRY_OBJECT_TYPE__OBJECT_TYPE` The meta object literal for the 'Object Type' attribute feature.
`static org.eclipse.emf.ecore.EReference` | `REGISTRY_OBJECT_TYPE__SLOT` The meta object literal for the 'Slot' containment reference list feature.
`static org.eclipse.emf.ecore.EClass` | `REGISTRY_PACKAGE_TYPE` The meta object literal for the '`Registry Package Type`' class.
`static org.eclipse.emf.ecore.EReference` | `REGISTRY_PACKAGE_TYPE__REGISTRY_OBJECT_LIST` The meta object literal for the 'Registry Object List' containment reference feature.
`static org.eclipse.emf.ecore.EClass` | `SERVICE_BINDING_TYPE` The meta object literal for the '`Service Binding Type`' class.
`static org.eclipse.emf.ecore.EAttribute` | `SERVICE_BINDING_TYPE__ACCESS_URI` The meta object literal for the 'Access URI' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `SERVICE_BINDING_TYPE__SERVICE` The meta object literal for the 'Service' attribute feature.
`static org.eclipse.emf.ecore.EReference` | `SERVICE_BINDING_TYPE__SPECIFICATION_LINK` The meta object literal for the 'Specification Link' containment reference list feature.
`static org.eclipse.emf.ecore.EAttribute` | `SERVICE_BINDING_TYPE__TARGET_BINDING` The meta object literal for the 'Target Binding' attribute feature.
`static org.eclipse.emf.ecore.EClass` | `SERVICE_TYPE` The meta object literal for the '`Service Type`' class.
`static org.eclipse.emf.ecore.EReference` | `SERVICE_TYPE__SERVICE_BINDING` The meta object literal for the 'Service Binding' containment reference list feature.
`static org.eclipse.emf.ecore.EDataType` | `SHORT_NAME` The meta object literal for the 'Short Name' data type.
`static org.eclipse.emf.ecore.EClass` | `SLOT_TYPE1` The meta object literal for the '`Slot Type1`' class.
`static org.eclipse.emf.ecore.EAttribute` | `SLOT_TYPE1__NAME` The meta object literal for the 'Name' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `SLOT_TYPE1__SLOT_TYPE` The meta object literal for the 'Slot Type' attribute feature.
`static org.eclipse.emf.ecore.EReference` | `SLOT_TYPE1__VALUE_LIST` The meta object literal for the 'Value List' containment reference feature.
`static org.eclipse.emf.ecore.EClass` | `SPECIFICATION_LINK_TYPE` The meta object literal for the '`Specification Link Type`' class.
`static org.eclipse.emf.ecore.EAttribute` | `SPECIFICATION_LINK_TYPE__SPECIFICATION_OBJECT` The meta object literal for the 'Specification Object' attribute feature.
`static org.eclipse.emf.ecore.EReference` | `SPECIFICATION_LINK_TYPE__USAGE_DESCRIPTION` The meta object literal for the 'Usage Description' containment reference feature.
`static org.eclipse.emf.ecore.EAttribute` | `SPECIFICATION_LINK_TYPE__USAGE_PARAMETER` The meta object literal for the 'Usage Parameter' attribute list feature.
`static org.eclipse.emf.ecore.EEnum` | `STABILITY_TYPE` The meta object literal for the '`Stability Type`' enum.
`static org.eclipse.emf.ecore.EDataType` | `STABILITY_TYPE_OBJECT` The meta object literal for the 'Stability Type Object' data type.
`static org.eclipse.emf.ecore.EEnum` | `STATUS_TYPE` The meta object literal for the '`Status Type`' enum.
`static org.eclipse.emf.ecore.EDataType` | `STATUS_TYPE_OBJECT` The meta object literal for the 'Status Type Object' data type.
`static org.eclipse.emf.ecore.EDataType` | `STRING16` The meta object literal for the 'String16' data type.
`static org.eclipse.emf.ecore.EDataType` | `STRING32` The meta object literal for the 'String32' data type.
`static org.eclipse.emf.ecore.EDataType` | `STRING4` The meta object literal for the 'String4' data type.
`static org.eclipse.emf.ecore.EDataType` | `STRING8` The meta object literal for the 'String8' data type.
`static org.eclipse.emf.ecore.EClass` | `TELEPHONE_NUMBER_LIST_TYPE` The meta object literal for the '`Telephone Number List Type`' class.
`static org.eclipse.emf.ecore.EReference` | `TELEPHONE_NUMBER_LIST_TYPE__TELEPHONE_NUMBER` The meta object literal for the 'Telephone Number' containment reference list feature.
`static org.eclipse.emf.ecore.EClass` | `TELEPHONE_NUMBER_TYPE` The meta object literal for the '`Telephone Number Type`' class.
`static org.eclipse.emf.ecore.EAttribute` | `TELEPHONE_NUMBER_TYPE__AREA_CODE` The meta object literal for the 'Area Code' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `TELEPHONE_NUMBER_TYPE__COUNTRY_CODE` The meta object literal for the 'Country Code' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `TELEPHONE_NUMBER_TYPE__EXTENSION` The meta object literal for the 'Extension' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `TELEPHONE_NUMBER_TYPE__NUMBER` The meta object literal for the 'Number' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `TELEPHONE_NUMBER_TYPE__PHONE_TYPE` The meta object literal for the 'Phone Type' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `TELEPHONE_NUMBER_TYPE__URL` The meta object literal for the 'Url' attribute feature.
`static org.eclipse.emf.ecore.EClass` | `USER_TYPE` The meta object literal for the '`User Type`' class.
`static org.eclipse.emf.ecore.EReference` | `USER_TYPE__ADDRESS` The meta object literal for the 'Address' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `USER_TYPE__EMAIL_ADDRESS` The meta object literal for the 'Email Address' containment reference list feature.
`static org.eclipse.emf.ecore.EAttribute` | `USER_TYPE__ORGANIZATION` The meta object literal for the 'Organization' attribute feature.
`static org.eclipse.emf.ecore.EReference` | `USER_TYPE__PERSON_NAME` The meta object literal for the 'Person Name' containment reference feature.
`static org.eclipse.emf.ecore.EReference` | `USER_TYPE__TELEPHONE_NUMBER` The meta object literal for the 'Telephone Number' containment reference list feature.
`static org.eclipse.emf.ecore.EAttribute` | `USER_TYPE__URL` The meta object literal for the 'Url' attribute feature.
`static org.eclipse.emf.ecore.EClass` | `VALUE_LIST_TYPE` The meta object literal for the '`Value List Type`' class.
`static org.eclipse.emf.ecore.EAttribute` | `VALUE_LIST_TYPE__GROUP` The meta object literal for the 'Group' attribute list feature.
`static org.eclipse.emf.ecore.EAttribute` | `VALUE_LIST_TYPE__VALUE` The meta object literal for the 'Value' attribute list feature.

Field Detail

### ASSOCIATION_TYPE1

    static final org.eclipse.emf.ecore.EClass ASSOCIATION_TYPE1

  The meta object literal for the '`Association Type1`' class.

  See Also:
    `AssociationType1Impl`, `RimPackageImpl.getAssociationType1()`

### ASSOCIATION_TYPE1__ASSOCIATION_TYPE

    static final org.eclipse.emf.ecore.EAttribute ASSOCIATION_TYPE1__ASSOCIATION_TYPE

  The meta object literal for the 'Association Type' attribute feature.

### ASSOCIATION_TYPE1__IS_CONFIRMED_BY_SOURCE_OWNER

    static final org.eclipse.emf.ecore.EAttribute ASSOCIATION_TYPE1__IS_CONFIRMED_BY_SOURCE_OWNER

  The meta object literal for the 'Is Confirmed By Source Owner' attribute feature.

### ASSOCIATION_TYPE1__IS_CONFIRMED_BY_TARGET_OWNER

    static final org.eclipse.emf.ecore.EAttribute ASSOCIATION_TYPE1__IS_CONFIRMED_BY_TARGET_OWNER

  The meta object literal for the 'Is Confirmed By Target Owner' attribute feature.

### ASSOCIATION_TYPE1__SOURCE_OBJECT

    static final org.eclipse.emf.ecore.EAttribute ASSOCIATION_TYPE1__SOURCE_OBJECT

  The meta object literal for the 'Source Object' attribute feature.

### ASSOCIATION_TYPE1__TARGET_OBJECT

    static final org.eclipse.emf.ecore.EAttribute ASSOCIATION_TYPE1__TARGET_OBJECT

  The meta object literal for the 'Target Object' attribute feature.

### AUDITABLE_EVENT_TYPE

    static final org.eclipse.emf.ecore.EClass AUDITABLE_EVENT_TYPE

  The meta object literal for the '`Auditable Event Type`' class.

  See Also:
    `AuditableEventTypeImpl`, `RimPackageImpl.getAuditableEventType()`

### AUDITABLE_EVENT_TYPE__EVENT_TYPE

    static final org.eclipse.emf.ecore.EAttribute AUDITABLE_EVENT_TYPE__EVENT_TYPE

  The meta object literal for the 'Event Type' attribute feature.

### AUDITABLE_EVENT_TYPE__REGISTRY_OBJECT

    static final org.eclipse.emf.ecore.EAttribute AUDITABLE_EVENT_TYPE__REGISTRY_OBJECT

  The meta object literal for the 'Registry Object' attribute feature.

### AUDITABLE_EVENT_TYPE__TIMESTAMP

    static final org.eclipse.emf.ecore.EAttribute AUDITABLE_EVENT_TYPE__TIMESTAMP

  The meta object literal for the 'Timestamp' attribute feature.

### AUDITABLE_EVENT_TYPE__USER

    static final org.eclipse.emf.ecore.EAttribute AUDITABLE_EVENT_TYPE__USER

  The meta object literal for the 'User' attribute feature.

### CLASSIFICATION_NODE_TYPE

    static final org.eclipse.emf.ecore.EClass CLASSIFICATION_NODE_TYPE

  The meta object literal for the '`Classification Node Type`' class.

  See Also:
    `ClassificationNodeTypeImpl`, `RimPackageImpl.getClassificationNodeType()`

### CLASSIFICATION_NODE_TYPE__CLASSIFICATION_NODE

    static final org.eclipse.emf.ecore.EReference CLASSIFICATION_NODE_TYPE__CLASSIFICATION_NODE

  The meta object literal for the 'Classification Node' containment reference list feature.

### CLASSIFICATION_NODE_TYPE__CODE

    static final org.eclipse.emf.ecore.EAttribute CLASSIFICATION_NODE_TYPE__CODE

  The meta object literal for the 'Code' attribute feature.

### CLASSIFICATION_NODE_TYPE__PARENT

    static final org.eclipse.emf.ecore.EAttribute CLASSIFICATION_NODE_TYPE__PARENT

  The meta object literal for the 'Parent' attribute feature.

### CLASSIFICATION_NODE_TYPE__PATH

    static final org.eclipse.emf.ecore.EAttribute CLASSIFICATION_NODE_TYPE__PATH

  The meta object literal for the 'Path' attribute feature.

### CLASSIFICATION_SCHEME_TYPE

    static final org.eclipse.emf.ecore.EClass CLASSIFICATION_SCHEME_TYPE

  The meta object literal for the '`Classification Scheme Type`' class.

  See Also:
    `ClassificationSchemeTypeImpl`, `RimPackageImpl.getClassificationSchemeType()`

### CLASSIFICATION_SCHEME_TYPE__CLASSIFICATION_NODE

    static final org.eclipse.emf.ecore.EReference CLASSIFICATION_SCHEME_TYPE__CLASSIFICATION_NODE

  The meta object literal for the 'Classification Node' containment reference list feature.

### CLASSIFICATION_SCHEME_TYPE__IS_INTERNAL

    static final org.eclipse.emf.ecore.EAttribute CLASSIFICATION_SCHEME_TYPE__IS_INTERNAL

  The meta object literal for the 'Is Internal' attribute feature.

### CLASSIFICATION_SCHEME_TYPE__NODE_TYPE

    static final org.eclipse.emf.ecore.EAttribute CLASSIFICATION_SCHEME_TYPE__NODE_TYPE

  The meta object literal for the 'Node Type' attribute feature.

### CLASSIFICATION_TYPE

    static final org.eclipse.emf.ecore.EClass CLASSIFICATION_TYPE

  The meta object literal for the '`Classification Type`' class.

  See Also:
    `ClassificationTypeImpl`, `RimPackageImpl.getClassificationType()`

### CLASSIFICATION_TYPE__CLASSIFICATION_NODE

    static final org.eclipse.emf.ecore.EAttribute CLASSIFICATION_TYPE__CLASSIFICATION_NODE

  The meta object literal for the 'Classification Node' attribute feature.

### CLASSIFICATION_TYPE__CLASSIFICATION_SCHEME

    static final org.eclipse.emf.ecore.EAttribute CLASSIFICATION_TYPE__CLASSIFICATION_SCHEME

  The meta object literal for the 'Classification Scheme' attribute feature.

### CLASSIFICATION_TYPE__CLASSIFIED_OBJECT

    static final org.eclipse.emf.ecore.EAttribute CLASSIFICATION_TYPE__CLASSIFIED_OBJECT

  The meta object literal for the 'Classified Object' attribute feature.

### CLASSIFICATION_TYPE__NODE_REPRESENTATION

    static final org.eclipse.emf.ecore.EAttribute CLASSIFICATION_TYPE__NODE_REPRESENTATION

  The meta object literal for the 'Node Representation' attribute feature.

### DOCUMENT_ROOT

    static final org.eclipse.emf.ecore.EClass DOCUMENT_ROOT

  The meta object literal for the '`Document Root`' class.

  See Also:
    `DocumentRootImpl`, `RimPackageImpl.getDocumentRoot()`

### DOCUMENT_ROOT__MIXED

    static final org.eclipse.emf.ecore.EAttribute DOCUMENT_ROOT__MIXED

  The meta object literal for the 'Mixed' attribute list feature.

### DOCUMENT_ROOT__XMLNS_PREFIX_MAP

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__XMLNS_PREFIX_MAP

  The meta object literal for the 'XMLNS Prefix Map' map feature.

### DOCUMENT_ROOT__XSI_SCHEMA_LOCATION

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__XSI_SCHEMA_LOCATION

  The meta object literal for the 'XSI Schema Location' map feature.

### DOCUMENT_ROOT__ADDRESS

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__ADDRESS

  The meta object literal for the 'Address' containment reference feature.

### DOCUMENT_ROOT__ASSOCIATION

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__ASSOCIATION

  The meta object literal for the 'Association' containment reference feature.

### DOCUMENT_ROOT__AUDITABLE_EVENT

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__AUDITABLE_EVENT

  The meta object literal for the 'Auditable Event' containment reference feature.

### DOCUMENT_ROOT__CLASSIFICATION

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__CLASSIFICATION

  The meta object literal for the 'Classification' containment reference feature.

### DOCUMENT_ROOT__CLASSIFICATION_NODE

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__CLASSIFICATION_NODE

  The meta object literal for the 'Classification Node' containment reference feature.

### DOCUMENT_ROOT__CLASSIFICATION_SCHEME

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__CLASSIFICATION_SCHEME

  The meta object literal for the 'Classification Scheme' containment reference feature.

### DOCUMENT_ROOT__DESCRIPTION

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__DESCRIPTION

  The meta object literal for the 'Description' containment reference feature.

### DOCUMENT_ROOT__EMAIL_ADDRESS

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__EMAIL_ADDRESS

  The meta object literal for the 'Email Address' containment reference feature.

### DOCUMENT_ROOT__EXTERNAL_IDENTIFIER

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__EXTERNAL_IDENTIFIER

  The meta object literal for the 'External Identifier' containment reference feature.

### DOCUMENT_ROOT__EXTERNAL_LINK

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__EXTERNAL_LINK

  The meta object literal for the 'External Link' containment reference feature.

### DOCUMENT_ROOT__EXTRINSIC_OBJECT

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__EXTRINSIC_OBJECT

  The meta object literal for the 'Extrinsic Object' containment reference feature.

### DOCUMENT_ROOT__FAX_NUMBER

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__FAX_NUMBER

  The meta object literal for the 'Fax Number' containment reference feature.

### DOCUMENT_ROOT__INTERNATIONAL_STRING

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__INTERNATIONAL_STRING

  The meta object literal for the 'International String' containment reference feature.

### DOCUMENT_ROOT__LEAF_REGISTRY_OBJECT_LIST

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__LEAF_REGISTRY_OBJECT_LIST

  The meta object literal for the 'Leaf Registry Object List' containment reference feature.

### DOCUMENT_ROOT__LOCALIZED_STRING

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__LOCALIZED_STRING

  The meta object literal for the 'Localized String' containment reference feature.

### DOCUMENT_ROOT__MOBILE_TELEPHONE_NUMBER

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__MOBILE_TELEPHONE_NUMBER

  The meta object literal for the 'Mobile Telephone Number' containment reference feature.

### DOCUMENT_ROOT__NAME

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__NAME

  The meta object literal for the 'Name' containment reference feature.

### DOCUMENT_ROOT__OBJECT_REF

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__OBJECT_REF

  The meta object literal for the 'Object Ref' containment reference feature.

### DOCUMENT_ROOT__OBJECT_REF_LIST

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__OBJECT_REF_LIST

  The meta object literal for the 'Object Ref List' containment reference feature.

### DOCUMENT_ROOT__ORGANIZATION

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__ORGANIZATION

  The meta object literal for the 'Organization' containment reference feature.

### DOCUMENT_ROOT__PAGER_NUMBER

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__PAGER_NUMBER

  The meta object literal for the 'Pager Number' containment reference feature.

### DOCUMENT_ROOT__PERSON_NAME

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__PERSON_NAME

  The meta object literal for the 'Person Name' containment reference feature.

### DOCUMENT_ROOT__POSTAL_ADDRESS

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__POSTAL_ADDRESS

  The meta object literal for the 'Postal Address' containment reference feature.

### DOCUMENT_ROOT__REGISTRY_ENTRY

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__REGISTRY_ENTRY

  The meta object literal for the 'Registry Entry' containment reference feature.

### DOCUMENT_ROOT__REGISTRY_OBJECT

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__REGISTRY_OBJECT

  The meta object literal for the 'Registry Object' containment reference feature.

### DOCUMENT_ROOT__REGISTRY_OBJECT_LIST

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__REGISTRY_OBJECT_LIST

  The meta object literal for the 'Registry Object List' containment reference feature.

### DOCUMENT_ROOT__REGISTRY_PACKAGE

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__REGISTRY_PACKAGE

  The meta object literal for the 'Registry Package' containment reference feature.

### DOCUMENT_ROOT__SERVICE

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__SERVICE

  The meta object literal for the 'Service' containment reference feature.

### DOCUMENT_ROOT__SERVICE_BINDING

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__SERVICE_BINDING

  The meta object literal for the 'Service Binding' containment reference feature.

### DOCUMENT_ROOT__SLOT

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__SLOT

  The meta object literal for the 'Slot' containment reference feature.

### DOCUMENT_ROOT__SPECIFICATION_LINK

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__SPECIFICATION_LINK

  The meta object literal for the 'Specification Link' containment reference feature.

### DOCUMENT_ROOT__TELEPHONE_NUMBER

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__TELEPHONE_NUMBER

  The meta object literal for the 'Telephone Number' containment reference feature.

### DOCUMENT_ROOT__USAGE_DESCRIPTION

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__USAGE_DESCRIPTION

  The meta object literal for the 'Usage Description' containment reference feature.

### DOCUMENT_ROOT__USAGE_PARAMETER

    static final org.eclipse.emf.ecore.EAttribute DOCUMENT_ROOT__USAGE_PARAMETER

  The meta object literal for the 'Usage Parameter' attribute feature.

### DOCUMENT_ROOT__USER

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__USER

  The meta object literal for the 'User' containment reference feature.

### DOCUMENT_ROOT__VALUE

    static final org.eclipse.emf.ecore.EAttribute DOCUMENT_ROOT__VALUE

  The meta object literal for the 'Value' attribute feature.

### DOCUMENT_ROOT__VALUE_LIST

    static final org.eclipse.emf.ecore.EReference DOCUMENT_ROOT__VALUE_LIST

  The meta object literal for the 'Value List' containment reference feature.

### EMAIL_ADDRESS_TYPE

    static final org.eclipse.emf.ecore.EClass EMAIL_ADDRESS_TYPE

  The meta object literal for the '`Email Address Type`' class.

  See Also:
    `EmailAddressTypeImpl`, `RimPackageImpl.getEmailAddressType()`

### EMAIL_ADDRESS_TYPE__GROUP

    static final org.eclipse.emf.ecore.EAttribute EMAIL_ADDRESS_TYPE__GROUP

  The meta object literal for the 'Group' attribute list feature.

### EMAIL_ADDRESS_TYPE__SLOT

    static final org.eclipse.emf.ecore.EReference EMAIL_ADDRESS_TYPE__SLOT

  The meta object literal for the 'Slot' containment reference list feature.

### EMAIL_ADDRESS_TYPE__ADDRESS

    static final org.eclipse.emf.ecore.EAttribute EMAIL_ADDRESS_TYPE__ADDRESS

  The meta object literal for the 'Address' attribute feature.

### EMAIL_ADDRESS_TYPE__TYPE

    static final org.eclipse.emf.ecore.EAttribute EMAIL_ADDRESS_TYPE__TYPE

  The meta object literal for the 'Type' attribute feature.

### EXTERNAL_IDENTIFIER_TYPE

    static final org.eclipse.emf.ecore.EClass EXTERNAL_IDENTIFIER_TYPE

  The meta object literal for the '`External Identifier Type`' class.

  See Also:
    `ExternalIdentifierTypeImpl`, `RimPackageImpl.getExternalIdentifierType()`

### EXTERNAL_IDENTIFIER_TYPE__IDENTIFICATION_SCHEME

    static final org.eclipse.emf.ecore.EAttribute EXTERNAL_IDENTIFIER_TYPE__IDENTIFICATION_SCHEME

  The meta object literal for the 'Identification Scheme' attribute feature.

### EXTERNAL_IDENTIFIER_TYPE__REGISTRY_OBJECT

    static final org.eclipse.emf.ecore.EAttribute EXTERNAL_IDENTIFIER_TYPE__REGISTRY_OBJECT

  The meta object literal for the 'Registry Object' attribute feature.

### EXTERNAL_IDENTIFIER_TYPE__VALUE

    static final org.eclipse.emf.ecore.EAttribute EXTERNAL_IDENTIFIER_TYPE__VALUE

  The meta object literal for the 'Value' attribute feature.

### EXTERNAL_LINK_TYPE

    static final org.eclipse.emf.ecore.EClass EXTERNAL_LINK_TYPE

  The meta object literal for the '`External Link Type`' class.

  See Also:
    `ExternalLinkTypeImpl`, `RimPackageImpl.getExternalLinkType()`

### EXTERNAL_LINK_TYPE__EXTERNAL_URI

    static final org.eclipse.emf.ecore.EAttribute EXTERNAL_LINK_TYPE__EXTERNAL_URI

  The meta object literal for the 'External URI' attribute feature.

### EXTRINSIC_OBJECT_TYPE

    static final org.eclipse.emf.ecore.EClass EXTRINSIC_OBJECT_TYPE

  The meta object literal for the '`Extrinsic Object Type`' class.

  See Also:
    `ExtrinsicObjectTypeImpl`, `RimPackageImpl.getExtrinsicObjectType()`

### EXTRINSIC_OBJECT_TYPE__IS_OPAQUE

    static final org.eclipse.emf.ecore.EAttribute EXTRINSIC_OBJECT_TYPE__IS_OPAQUE

  The meta object literal for the 'Is Opaque' attribute feature.

### EXTRINSIC_OBJECT_TYPE__MIME_TYPE

    static final org.eclipse.emf.ecore.EAttribute EXTRINSIC_OBJECT_TYPE__MIME_TYPE

  The meta object literal for the 'Mime Type' attribute feature.

### INTERNATIONAL_STRING_TYPE

    static final org.eclipse.emf.ecore.EClass INTERNATIONAL_STRING_TYPE

  The meta object literal for the '`International String Type`' class.

  See Also:
    `InternationalStringTypeImpl`, `RimPackageImpl.getInternationalStringType()`

### INTERNATIONAL_STRING_TYPE__GROUP

    static final org.eclipse.emf.ecore.EAttribute INTERNATIONAL_STRING_TYPE__GROUP

  The meta object literal for the 'Group' attribute list feature.

### INTERNATIONAL_STRING_TYPE__LOCALIZED_STRING

    static final org.eclipse.emf.ecore.EReference INTERNATIONAL_STRING_TYPE__LOCALIZED_STRING

  The meta object literal for the 'Localized String' containment reference list feature.

### LEAF_REGISTRY_OBJECT_LIST_TYPE

    static final org.eclipse.emf.ecore.EClass LEAF_REGISTRY_OBJECT_LIST_TYPE

  The meta object literal for the '`Leaf Registry Object List Type`' class.

  See Also:
    `LeafRegistryObjectListTypeImpl`, `RimPackageImpl.getLeafRegistryObjectListType()`

### LEAF_REGISTRY_OBJECT_LIST_TYPE__GROUP

    static final org.eclipse.emf.ecore.EAttribute LEAF_REGISTRY_OBJECT_LIST_TYPE__GROUP

  The meta object literal for the 'Group' attribute list feature.

### LEAF_REGISTRY_OBJECT_LIST_TYPE__OBJECT_REF

    static final org.eclipse.emf.ecore.EReference LEAF_REGISTRY_OBJECT_LIST_TYPE__OBJECT_REF

  The meta object literal for the 'Object Ref' containment reference list feature.

### LEAF_REGISTRY_OBJECT_LIST_TYPE__ASSOCIATION

    static final org.eclipse.emf.ecore.EReference LEAF_REGISTRY_OBJECT_LIST_TYPE__ASSOCIATION

  The meta object literal for the 'Association' containment reference list feature.

### LEAF_REGISTRY_OBJECT_LIST_TYPE__AUDITABLE_EVENT

    static final org.eclipse.emf.ecore.EReference LEAF_REGISTRY_OBJECT_LIST_TYPE__AUDITABLE_EVENT

  The meta object literal for the 'Auditable Event' containment reference list feature.

### LEAF_REGISTRY_OBJECT_LIST_TYPE__CLASSIFICATION

    static final org.eclipse.emf.ecore.EReference LEAF_REGISTRY_OBJECT_LIST_TYPE__CLASSIFICATION

  The meta object literal for the 'Classification' containment reference list feature.

### LEAF_REGISTRY_OBJECT_LIST_TYPE__CLASSIFICATION_NODE

    static final org.eclipse.emf.ecore.EReference LEAF_REGISTRY_OBJECT_LIST_TYPE__CLASSIFICATION_NODE

  The meta object literal for the 'Classification Node' containment reference list feature.

### LEAF_REGISTRY_OBJECT_LIST_TYPE__CLASSIFICATION_SCHEME

    static final org.eclipse.emf.ecore.EReference LEAF_REGISTRY_OBJECT_LIST_TYPE__CLASSIFICATION_SCHEME

  The meta object literal for the 'Classification Scheme' containment reference list feature.

### LEAF_REGISTRY_OBJECT_LIST_TYPE__EXTERNAL_IDENTIFIER

    static final org.eclipse.emf.ecore.EReference LEAF_REGISTRY_OBJECT_LIST_TYPE__EXTERNAL_IDENTIFIER

  The meta object literal for the 'External Identifier' containment reference list feature.

### LEAF_REGISTRY_OBJECT_LIST_TYPE__EXTERNAL_LINK

    static final org.eclipse.emf.ecore.EReference LEAF_REGISTRY_OBJECT_LIST_TYPE__EXTERNAL_LINK

  The meta object literal for the 'External Link' containment reference list feature.

### LEAF_REGISTRY_OBJECT_LIST_TYPE__EXTRINSIC_OBJECT

    static final org.eclipse.emf.ecore.EReference LEAF_REGISTRY_OBJECT_LIST_TYPE__EXTRINSIC_OBJECT

  The meta object literal for the 'Extrinsic Object' containment reference list feature.

### LEAF_REGISTRY_OBJECT_LIST_TYPE__ORGANIZATION

    static final org.eclipse.emf.ecore.EReference LEAF_REGISTRY_OBJECT_LIST_TYPE__ORGANIZATION

  The meta object literal for the 'Organization' containment reference list feature.

### LEAF_REGISTRY_OBJECT_LIST_TYPE__REGISTRY_PACKAGE

    static final org.eclipse.emf.ecore.EReference LEAF_REGISTRY_OBJECT_LIST_TYPE__REGISTRY_PACKAGE

  The meta object literal for the 'Registry Package' containment reference list feature.

### LEAF_REGISTRY_OBJECT_LIST_TYPE__SERVICE

    static final org.eclipse.emf.ecore.EReference LEAF_REGISTRY_OBJECT_LIST_TYPE__SERVICE

  The meta object literal for the 'Service' containment reference list feature.

### LEAF_REGISTRY_OBJECT_LIST_TYPE__SERVICE_BINDING

    static final org.eclipse.emf.ecore.EReference LEAF_REGISTRY_OBJECT_LIST_TYPE__SERVICE_BINDING

  The meta object literal for the 'Service Binding' containment reference list feature.

### LEAF_REGISTRY_OBJECT_LIST_TYPE__SPECIFICATION_LINK

    static final org.eclipse.emf.ecore.EReference LEAF_REGISTRY_OBJECT_LIST_TYPE__SPECIFICATION_LINK

  The meta object literal for the 'Specification Link' containment reference list feature.

### LEAF_REGISTRY_OBJECT_LIST_TYPE__USER

    static final org.eclipse.emf.ecore.EReference LEAF_REGISTRY_OBJECT_LIST_TYPE__USER

  The meta object literal for the 'User' containment reference list feature.

### LOCALIZED_STRING_TYPE

    static final org.eclipse.emf.ecore.EClass LOCALIZED_STRING_TYPE

  The meta object literal for the '`Localized String Type`' class.

  See Also:
    `LocalizedStringTypeImpl`, `RimPackageImpl.getLocalizedStringType()`

### LOCALIZED_STRING_TYPE__CHARSET

    static final org.eclipse.emf.ecore.EAttribute LOCALIZED_STRING_TYPE__CHARSET

  The meta object literal for the 'Charset' attribute feature.

### LOCALIZED_STRING_TYPE__LANG

    static final org.eclipse.emf.ecore.EAttribute LOCALIZED_STRING_TYPE__LANG

  The meta object literal for the 'Lang' attribute feature.

### LOCALIZED_STRING_TYPE__VALUE

    static final org.eclipse.emf.ecore.EAttribute LOCALIZED_STRING_TYPE__VALUE

  The meta object literal for the 'Value' attribute feature.

### OBJECT_REF_LIST_TYPE

    static final org.eclipse.emf.ecore.EClass OBJECT_REF_LIST_TYPE

  The meta object literal for the '`Object Ref List Type`' class.

  See Also:
    `ObjectRefListTypeImpl`, `RimPackageImpl.getObjectRefListType()`

### OBJECT_REF_LIST_TYPE__GROUP

    static final org.eclipse.emf.ecore.EAttribute OBJECT_REF_LIST_TYPE__GROUP

  The meta object literal for the 'Group' attribute list feature.

### OBJECT_REF_LIST_TYPE__OBJECT_REF

    static final org.eclipse.emf.ecore.EReference OBJECT_REF_LIST_TYPE__OBJECT_REF

  The meta object literal for the 'Object Ref' containment reference list feature.

### OBJECT_REF_TYPE

    static final org.eclipse.emf.ecore.EClass OBJECT_REF_TYPE

  The meta object literal for the '`Object Ref Type`' class.

  See Also:
    `ObjectRefTypeImpl`, `RimPackageImpl.getObjectRefType()`

### OBJECT_REF_TYPE__ID

    static final org.eclipse.emf.ecore.EAttribute OBJECT_REF_TYPE__ID

  The meta object literal for the 'Id' attribute feature.

### ORGANIZATION_TYPE

    static final org.eclipse.emf.ecore.EClass ORGANIZATION_TYPE

  The meta object literal for the '`Organization Type`' class.

  See Also:
    `OrganizationTypeImpl`, `RimPackageImpl.getOrganizationType()`

### ORGANIZATION_TYPE__ADDRESS

    static final org.eclipse.emf.ecore.EReference ORGANIZATION_TYPE__ADDRESS

  The meta object literal for the 'Address' containment reference feature.

### ORGANIZATION_TYPE__TELEPHONE_NUMBER

    static final org.eclipse.emf.ecore.EReference ORGANIZATION_TYPE__TELEPHONE_NUMBER

  The meta object literal for the 'Telephone Number' containment reference list feature.

### ORGANIZATION_TYPE__PARENT

    static final org.eclipse.emf.ecore.EAttribute ORGANIZATION_TYPE__PARENT

  The meta object literal for the 'Parent' attribute feature.

### ORGANIZATION_TYPE__PRIMARY_CONTACT

    static final org.eclipse.emf.ecore.EAttribute ORGANIZATION_TYPE__PRIMARY_CONTACT

  The meta object literal for the 'Primary Contact' attribute feature.

### PERSON_NAME_TYPE

    static final org.eclipse.emf.ecore.EClass PERSON_NAME_TYPE

  The meta object literal for the '`Person Name Type`' class.

  See Also:
    `PersonNameTypeImpl`, `RimPackageImpl.getPersonNameType()`

### PERSON_NAME_TYPE__GROUP

    static final org.eclipse.emf.ecore.EAttribute PERSON_NAME_TYPE__GROUP

  The meta object literal for the 'Group' attribute list feature.

### PERSON_NAME_TYPE__SLOT

    static final org.eclipse.emf.ecore.EReference PERSON_NAME_TYPE__SLOT

  The meta object literal for the 'Slot' containment reference list feature.

### PERSON_NAME_TYPE__FIRST_NAME

    static final org.eclipse.emf.ecore.EAttribute PERSON_NAME_TYPE__FIRST_NAME

  The meta object literal for the 'First Name' attribute feature.

### PERSON_NAME_TYPE__LAST_NAME

    static final org.eclipse.emf.ecore.EAttribute PERSON_NAME_TYPE__LAST_NAME

  The meta object literal for the 'Last Name' attribute feature.

### PERSON_NAME_TYPE__MIDDLE_NAME

    static final org.eclipse.emf.ecore.EAttribute PERSON_NAME_TYPE__MIDDLE_NAME

  The meta object literal for the 'Middle Name' attribute feature.

### POSTAL_ADDRESS_TYPE

    static final org.eclipse.emf.ecore.EClass POSTAL_ADDRESS_TYPE

  The meta object literal for the '`Postal Address Type`' class.

  See Also:
    `PostalAddressTypeImpl`, `RimPackageImpl.getPostalAddressType()`

### POSTAL_ADDRESS_TYPE__GROUP

    static final org.eclipse.emf.ecore.EAttribute POSTAL_ADDRESS_TYPE__GROUP

  The meta object literal for the 'Group' attribute list feature.

### POSTAL_ADDRESS_TYPE__SLOT

    static final org.eclipse.emf.ecore.EReference POSTAL_ADDRESS_TYPE__SLOT

  The meta object literal for the 'Slot' containment reference list feature.

### POSTAL_ADDRESS_TYPE__CITY

    static final org.eclipse.emf.ecore.EAttribute POSTAL_ADDRESS_TYPE__CITY

  The meta object literal for the 'City' attribute feature.

### POSTAL_ADDRESS_TYPE__COUNTRY

    static final org.eclipse.emf.ecore.EAttribute POSTAL_ADDRESS_TYPE__COUNTRY

  The meta object literal for the 'Country' attribute feature.

### POSTAL_ADDRESS_TYPE__POSTAL_CODE

    static final org.eclipse.emf.ecore.EAttribute POSTAL_ADDRESS_TYPE__POSTAL_CODE

  The meta object literal for the 'Postal Code' attribute feature.

### POSTAL_ADDRESS_TYPE__STATE_OR_PROVINCE

    static final org.eclipse.emf.ecore.EAttribute POSTAL_ADDRESS_TYPE__STATE_OR_PROVINCE

  The meta object literal for the 'State Or Province' attribute feature.

### POSTAL_ADDRESS_TYPE__STREET

    static final org.eclipse.emf.ecore.EAttribute POSTAL_ADDRESS_TYPE__STREET

  The meta object literal for the 'Street' attribute feature.

### POSTAL_ADDRESS_TYPE__STREET_NUMBER

    static final org.eclipse.emf.ecore.EAttribute POSTAL_ADDRESS_TYPE__STREET_NUMBER

  The meta object literal for the 'Street Number' attribute feature.

### REGISTRY_ENTRY_TYPE

    static final org.eclipse.emf.ecore.EClass REGISTRY_ENTRY_TYPE

  The meta object literal for the '`Registry Entry Type`' class.

  See Also:
    `RegistryEntryTypeImpl`, `RimPackageImpl.getRegistryEntryType()`

### REGISTRY_ENTRY_TYPE__EXPIRATION

    static final org.eclipse.emf.ecore.EAttribute REGISTRY_ENTRY_TYPE__EXPIRATION

  The meta object literal for the 'Expiration' attribute feature.

### REGISTRY_ENTRY_TYPE__MAJOR_VERSION

    static final org.eclipse.emf.ecore.EAttribute REGISTRY_ENTRY_TYPE__MAJOR_VERSION

  The meta object literal for the 'Major Version' attribute feature.

### REGISTRY_ENTRY_TYPE__MINOR_VERSION

    static final org.eclipse.emf.ecore.EAttribute REGISTRY_ENTRY_TYPE__MINOR_VERSION

  The meta object literal for the 'Minor Version' attribute feature.

### REGISTRY_ENTRY_TYPE__STABILITY

    static final org.eclipse.emf.ecore.EAttribute REGISTRY_ENTRY_TYPE__STABILITY

  The meta object literal for the 'Stability' attribute feature.

### REGISTRY_ENTRY_TYPE__STATUS

    static final org.eclipse.emf.ecore.EAttribute REGISTRY_ENTRY_TYPE__STATUS

  The meta object literal for the 'Status' attribute feature.

### REGISTRY_ENTRY_TYPE__USER_VERSION

    static final org.eclipse.emf.ecore.EAttribute REGISTRY_ENTRY_TYPE__USER_VERSION

  The meta object literal for the 'User Version' attribute feature.

### REGISTRY_OBJECT_LIST_TYPE

    static final org.eclipse.emf.ecore.EClass REGISTRY_OBJECT_LIST_TYPE

  The meta object literal for the '`Registry Object List Type`' class.

  See Also:
    `RegistryObjectListTypeImpl`, `RimPackageImpl.getRegistryObjectListType()`

### REGISTRY_OBJECT_LIST_TYPE__GROUP1

    static final org.eclipse.emf.ecore.EAttribute REGISTRY_OBJECT_LIST_TYPE__GROUP1

  The meta object literal for the 'Group1' attribute list feature.

### REGISTRY_OBJECT_LIST_TYPE__REGISTRY_ENTRY

    static final org.eclipse.emf.ecore.EReference REGISTRY_OBJECT_LIST_TYPE__REGISTRY_ENTRY

  The meta object literal for the 'Registry Entry' containment reference list feature.

### REGISTRY_OBJECT_LIST_TYPE__REGISTRY_OBJECT

    static final org.eclipse.emf.ecore.EReference REGISTRY_OBJECT_LIST_TYPE__REGISTRY_OBJECT

  The meta object literal for the 'Registry Object' containment reference list feature.

### REGISTRY_OBJECT_TYPE

    static final org.eclipse.emf.ecore.EClass REGISTRY_OBJECT_TYPE

  The meta object literal for the '`Registry Object Type`' class.

  See Also:
    `RegistryObjectTypeImpl`, `RimPackageImpl.getRegistryObjectType()`

### REGISTRY_OBJECT_TYPE__NAME

    static final org.eclipse.emf.ecore.EReference REGISTRY_OBJECT_TYPE__NAME

  The meta object literal for the 'Name' containment reference feature.

### REGISTRY_OBJECT_TYPE__DESCRIPTION

    static final org.eclipse.emf.ecore.EReference REGISTRY_OBJECT_TYPE__DESCRIPTION

  The meta object literal for the 'Description' containment reference feature.

### REGISTRY_OBJECT_TYPE__SLOT

    static final org.eclipse.emf.ecore.EReference REGISTRY_OBJECT_TYPE__SLOT

  The meta object literal for the 'Slot' containment reference list feature.

### REGISTRY_OBJECT_TYPE__CLASSIFICATION

    static final org.eclipse.emf.ecore.EReference REGISTRY_OBJECT_TYPE__CLASSIFICATION

  The meta object literal for the 'Classification' containment reference list feature.

### REGISTRY_OBJECT_TYPE__EXTERNAL_IDENTIFIER

    static final org.eclipse.emf.ecore.EReference REGISTRY_OBJECT_TYPE__EXTERNAL_IDENTIFIER

  The meta object literal for the 'External Identifier' containment reference list feature.

### REGISTRY_OBJECT_TYPE__ACCESS_CONTROL_POLICY

    static final org.eclipse.emf.ecore.EAttribute REGISTRY_OBJECT_TYPE__ACCESS_CONTROL_POLICY

  The meta object literal for the 'Access Control Policy' attribute feature.

### REGISTRY_OBJECT_TYPE__ID

    static final org.eclipse.emf.ecore.EAttribute REGISTRY_OBJECT_TYPE__ID

  The meta object literal for the 'Id' attribute feature.

### REGISTRY_OBJECT_TYPE__OBJECT_TYPE

    static final org.eclipse.emf.ecore.EAttribute REGISTRY_OBJECT_TYPE__OBJECT_TYPE

  The meta object literal for the 'Object Type' attribute feature.

### REGISTRY_PACKAGE_TYPE

    static final org.eclipse.emf.ecore.EClass REGISTRY_PACKAGE_TYPE

  The meta object literal for the '`Registry Package Type`' class.

  See Also:
    `RegistryPackageTypeImpl`, `RimPackageImpl.getRegistryPackageType()`

### REGISTRY_PACKAGE_TYPE__REGISTRY_OBJECT_LIST

    static final org.eclipse.emf.ecore.EReference REGISTRY_PACKAGE_TYPE__REGISTRY_OBJECT_LIST

  The meta object literal for the 'Registry Object List' containment reference feature.

### SERVICE_BINDING_TYPE

    static final org.eclipse.emf.ecore.EClass SERVICE_BINDING_TYPE

  The meta object literal for the '`Service Binding Type`' class.

  See Also:
    `ServiceBindingTypeImpl`, `RimPackageImpl.getServiceBindingType()`

### SERVICE_BINDING_TYPE__SPECIFICATION_LINK

    static final org.eclipse.emf.ecore.EReference SERVICE_BINDING_TYPE__SPECIFICATION_LINK

  The meta object literal for the 'Specification Link' containment reference list feature.

### SERVICE_BINDING_TYPE__ACCESS_URI

    static final org.eclipse.emf.ecore.EAttribute SERVICE_BINDING_TYPE__ACCESS_URI

  The meta object literal for the 'Access URI' attribute feature.

### SERVICE_BINDING_TYPE__SERVICE

    static final org.eclipse.emf.ecore.EAttribute SERVICE_BINDING_TYPE__SERVICE

  The meta object literal for the 'Service' attribute feature.

### SERVICE_BINDING_TYPE__TARGET_BINDING

    static final org.eclipse.emf.ecore.EAttribute SERVICE_BINDING_TYPE__TARGET_BINDING

  The meta object literal for the 'Target Binding' attribute feature.

### SERVICE_TYPE

    static final org.eclipse.emf.ecore.EClass SERVICE_TYPE

  The meta object literal for the '`Service Type`' class.

  See Also:
    `ServiceTypeImpl`, `RimPackageImpl.getServiceType()`

### SERVICE_TYPE__SERVICE_BINDING

    static final org.eclipse.emf.ecore.EReference SERVICE_TYPE__SERVICE_BINDING

  The meta object literal for the 'Service Binding' containment reference list feature.

### SLOT_TYPE1

    static final org.eclipse.emf.ecore.EClass SLOT_TYPE1

  The meta object literal for the '`Slot Type1`' class.

  See Also:
    `SlotType1Impl`, `RimPackageImpl.getSlotType1()`

### SLOT_TYPE1__VALUE_LIST

    static final org.eclipse.emf.ecore.EReference SLOT_TYPE1__VALUE_LIST

  The meta object literal for the 'Value List' containment reference feature.

### SLOT_TYPE1__NAME

    static final org.eclipse.emf.ecore.EAttribute SLOT_TYPE1__NAME

  The meta object literal for the 'Name' attribute feature.

### SLOT_TYPE1__SLOT_TYPE

    static final org.eclipse.emf.ecore.EAttribute SLOT_TYPE1__SLOT_TYPE

  The meta object literal for the 'Slot Type' attribute feature.

### SPECIFICATION_LINK_TYPE

    static final org.eclipse.emf.ecore.EClass SPECIFICATION_LINK_TYPE

  The meta object literal for the '`Specification Link Type`' class.

  See Also:
    `SpecificationLinkTypeImpl`, `RimPackageImpl.getSpecificationLinkType()`

### SPECIFICATION_LINK_TYPE__USAGE_DESCRIPTION

    static final org.eclipse.emf.ecore.EReference SPECIFICATION_LINK_TYPE__USAGE_DESCRIPTION

  The meta object literal for the 'Usage Description' containment reference feature.

### SPECIFICATION_LINK_TYPE__USAGE_PARAMETER

    static final org.eclipse.emf.ecore.EAttribute SPECIFICATION_LINK_TYPE__USAGE_PARAMETER

  The meta object literal for the 'Usage Parameter' attribute list feature.

### SPECIFICATION_LINK_TYPE__SPECIFICATION_OBJECT

    static final org.eclipse.emf.ecore.EAttribute SPECIFICATION_LINK_TYPE__SPECIFICATION_OBJECT

  The meta object literal for the 'Specification Object' attribute feature.

### TELEPHONE_NUMBER_LIST_TYPE

    static final org.eclipse.emf.ecore.EClass TELEPHONE_NUMBER_LIST_TYPE

  The meta object literal for the '`Telephone Number List Type`' class.

  See Also:
    `TelephoneNumberListTypeImpl`, `RimPackageImpl.getTelephoneNumberListType()`

### TELEPHONE_NUMBER_LIST_TYPE__TELEPHONE_NUMBER

    static final org.eclipse.emf.ecore.EReference TELEPHONE_NUMBER_LIST_TYPE__TELEPHONE_NUMBER

  The meta object literal for the 'Telephone Number' containment reference list feature.

### TELEPHONE_NUMBER_TYPE

    static final org.eclipse.emf.ecore.EClass TELEPHONE_NUMBER_TYPE

  The meta object literal for the '`Telephone Number Type`' class.

  See Also:
    `TelephoneNumberTypeImpl`, `RimPackageImpl.getTelephoneNumberType()`

### TELEPHONE_NUMBER_TYPE__AREA_CODE

    static final org.eclipse.emf.ecore.EAttribute TELEPHONE_NUMBER_TYPE__AREA_CODE

  The meta object literal for the 'Area Code' attribute feature.

### TELEPHONE_NUMBER_TYPE__COUNTRY_CODE

    static final org.eclipse.emf.ecore.EAttribute TELEPHONE_NUMBER_TYPE__COUNTRY_CODE

  The meta object literal for the 'Country Code' attribute feature.

### TELEPHONE_NUMBER_TYPE__EXTENSION

    static final org.eclipse.emf.ecore.EAttribute TELEPHONE_NUMBER_TYPE__EXTENSION

  The meta object literal for the 'Extension' attribute feature.

### TELEPHONE_NUMBER_TYPE__NUMBER

    static final org.eclipse.emf.ecore.EAttribute TELEPHONE_NUMBER_TYPE__NUMBER

  The meta object literal for the 'Number' attribute feature.

### TELEPHONE_NUMBER_TYPE__PHONE_TYPE

    static final org.eclipse.emf.ecore.EAttribute TELEPHONE_NUMBER_TYPE__PHONE_TYPE

  The meta object literal for the 'Phone Type' attribute feature.

### TELEPHONE_NUMBER_TYPE__URL

    static final org.eclipse.emf.ecore.EAttribute TELEPHONE_NUMBER_TYPE__URL

  The meta object literal for the 'Url' attribute feature.

### USER_TYPE

    static final org.eclipse.emf.ecore.EClass USER_TYPE

  The meta object literal for the '`User Type`' class.

  See Also:
    `UserTypeImpl`, `RimPackageImpl.getUserType()`

### USER_TYPE__ADDRESS

    static final org.eclipse.emf.ecore.EReference USER_TYPE__ADDRESS

  The meta object literal for the 'Address' containment reference feature.

### USER_TYPE__PERSON_NAME

    static final org.eclipse.emf.ecore.EReference USER_TYPE__PERSON_NAME

  The meta object literal for the 'Person Name' containment reference feature.

### USER_TYPE__TELEPHONE_NUMBER

    static final org.eclipse.emf.ecore.EReference USER_TYPE__TELEPHONE_NUMBER

  The meta object literal for the 'Telephone Number' containment reference list feature.

### USER_TYPE__EMAIL_ADDRESS

    static final org.eclipse.emf.ecore.EReference USER_TYPE__EMAIL_ADDRESS

  The meta object literal for the 'Email Address' containment reference list feature.

### USER_TYPE__ORGANIZATION

    static final org.eclipse.emf.ecore.EAttribute USER_TYPE__ORGANIZATION

  The meta object literal for the 'Organization' attribute feature.

### USER_TYPE__URL

    static final org.eclipse.emf.ecore.EAttribute USER_TYPE__URL

  The meta object literal for the 'Url' attribute feature.

### VALUE_LIST_TYPE

    static final org.eclipse.emf.ecore.EClass VALUE_LIST_TYPE

  The meta object literal for the '`Value List Type`' class.

  See Also:
    `ValueListTypeImpl`, `RimPackageImpl.getValueListType()`

### VALUE_LIST_TYPE__GROUP

    static final org.eclipse.emf.ecore.EAttribute VALUE_LIST_TYPE__GROUP

  The meta object literal for the 'Group' attribute list feature.

### VALUE_LIST_TYPE__VALUE

    static final org.eclipse.emf.ecore.EAttribute VALUE_LIST_TYPE__VALUE

  The meta object literal for the 'Value' attribute list feature.

### EVENT_TYPE_TYPE

    static final org.eclipse.emf.ecore.EEnum EVENT_TYPE_TYPE

  The meta object literal for the '`Event Type Type`' enum.

  See Also:
    `EventTypeType`, `RimPackageImpl.getEventTypeType()`

### NODE_TYPE_TYPE

    static final org.eclipse.emf.ecore.EEnum NODE_TYPE_TYPE

  The meta object literal for the '`Node Type Type`' enum.

  See Also:
    `NodeTypeType`, `RimPackageImpl.getNodeTypeType()`

### STABILITY_TYPE

    static final org.eclipse.emf.ecore.EEnum STABILITY_TYPE

  The meta object literal for the '`Stability Type`' enum.

  See Also:
    `StabilityType`, `RimPackageImpl.getStabilityType()`

### STATUS_TYPE

    static final org.eclipse.emf.ecore.EEnum STATUS_TYPE

  The meta object literal for the '`Status Type`' enum.

  See Also:
    `StatusType`, `RimPackageImpl.getStatusType()`

### EVENT_TYPE_TYPE_OBJECT

    static final org.eclipse.emf.ecore.EDataType EVENT_TYPE_TYPE_OBJECT

  The meta object literal for the 'Event Type Type Object' data type.

  See Also:
    `EventTypeType`, `RimPackageImpl.getEventTypeTypeObject()`

### FREE_FORM_TEXT

    static final org.eclipse.emf.ecore.EDataType FREE_FORM_TEXT

  The meta object literal for the 'Free Form Text' data type.

  See Also:
    `String`, `RimPackageImpl.getFreeFormText()`

### LONG_NAME

    static final org.eclipse.emf.ecore.EDataType LONG_NAME

  The meta object literal for the 'Long Name' data type.

  See Also:
    `String`, `RimPackageImpl.getLongName()`

### NODE_TYPE_TYPE_OBJECT

    static final org.eclipse.emf.ecore.EDataType NODE_TYPE_TYPE_OBJECT

  The meta object literal for the 'Node Type Type Object' data type.

  See Also:
    `NodeTypeType`, `RimPackageImpl.getNodeTypeTypeObject()`

### SHORT_NAME

    static final org.eclipse.emf.ecore.EDataType SHORT_NAME

  The meta object literal for the 'Short Name' data type.

  See Also:
    `String`, `RimPackageImpl.getShortName()`

### STABILITY_TYPE_OBJECT

    static final org.eclipse.emf.ecore.EDataType STABILITY_TYPE_OBJECT

  The meta object literal for the 'Stability Type Object' data type.

  See Also:
    `StabilityType`, `RimPackageImpl.getStabilityTypeObject()`

### STATUS_TYPE_OBJECT

    static final org.eclipse.emf.ecore.EDataType STATUS_TYPE_OBJECT

  The meta object literal for the 'Status Type Object' data type.

  See Also:
    `StatusType`, `RimPackageImpl.getStatusTypeObject()`

### STRING16

    static final org.eclipse.emf.ecore.EDataType STRING16

  The meta object literal for the 'String16' data type.

  See Also:
    `String`, `RimPackageImpl.getString16()`

### STRING32

    static final org.eclipse.emf.ecore.EDataType STRING32

  The meta object literal for the 'String32' data type.

  See Also:
    `String`, `RimPackageImpl.getString32()`

### STRING4

    static final org.eclipse.emf.ecore.EDataType STRING4

  The meta object literal for the 'String4' data type.

  See Also:
    `String`, `RimPackageImpl.getString4()`

### STRING8

    static final org.eclipse.emf.ecore.EDataType STRING8

  The meta object literal for the 'String8' data type.

  See Also:
    `String`, `RimPackageImpl.getString8()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD